<ui:composition
    xmlns="http://www.w3.org/1999/xhtml"
    xmlns:ui="http://xmlns.jcp.org/jsf/facelets"
    xmlns:h="http://xmlns.jcp.org/jsf/html"
    xmlns:b="http://bootsfaces.net/ui" 
    xmlns:p="http://primefaces.org/ui"
    xmlns:jsf="http://xmlns.jcp.org/jsf"
    xmlns:a="http://xmlns.jcp.org/jsf/passthrough"
    xmlns:f="http://xmlns.jcp.org/jsf/core">

    <nav class="navbar navbar-default noMargin">
        <div class="container-fluid">
          <div class="navbar-header">
            <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#myNavbar">
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>
              <span class="icon-bar"></span>                        
            </button>
            <a class="navbar-brand logoContainer" href="/ga3w20/index.xhtml" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"><h:graphicImage library="images" name="logo.png" class="img img-fluid logoSize" rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"/></a>
          </div>
          <div class="collapse navbar-collapse" id="myNavbar">
            <ul class="nav navbar-nav">
               <li jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"><a href="/ga3w20/index.xhtml">#{msgs.home}</a></li>
              <li id="helpBtn" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"><a href="/ga3w20/help.xhtml">#{msgs.help}</a></li>
              <li id="adminBtn" jsf:rendered="#{user.manager}"><a href="/ga3w20/management/management.xhtml">#{msgs.administration}</a></li>
              <li id="downloadPageBtn" jsf:rendered="#{user.logged}"><a href="/ga3w20/downloads.xhtml">#{msgs.downloadsPage}</a></li>
            </ul>
              
            <!-- search form -->    
            <h:form class="navbar-form navbar-left">
              <div class="input-group">
                  <h:inputText  styleClass="form-control" id="searchTerm" a:placeholder="#{msgs.searchBooks}"  value="#{theBooks.searchTerm}" rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"/>
                <div class="input-group-btn">
                    <button id="searchSelectBy" class="btn btn-default"  type="submit" value="submit" jsf:action="#{theBooks.processSeacrh(user.userId)}" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">
                    <i class="glyphicon glyphicon-search"></i>
                  </button>
                </div>
                    <h:selectOneMenu styleClass="selectByMenu" value="#{theBooks.selectBy}" rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">
                        <f:selectItem itemLabel="#{msgs.by} Book Title" itemValue="bookTitle" noSelectionOption="true"/>
                        <f:selectItem itemLabel="#{msgs.by} Author Name" itemValue="authorName" />
                        <f:selectItem itemLabel="#{msgs.by} Publisher" itemValue="publisher" />
                        <f:selectItem itemLabel="#{msgs.by} Isbn" itemValue="isbn" />
                        <p:ajax event="change"/>
                    </h:selectOneMenu>
              </div>
            </h:form>
            
            <!--Search by Genre(with top 5 sellers)-->
            <h:form class="navbar-form navbar-left">
                <div class="input-group">
                    <p class="pSelectByGenre" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">#{msgs.searchGenre}:</p>
                        <h:selectOneMenu styleClass="selectByGenre" value="#{theBooks.selectByGenre}" rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">
                            <f:selectItems value="#{theBooks.genres}" var="genre" itemValue="#{genre}" itemLabel="#{genre}"/>
                            <p:ajax event="change"/>
                        </h:selectOneMenu>
                    <div class="input-group-btn" style="float:left">
                        <button id="searchBrowseByGenre" class="btn btn-default" type="submit" value="submit" jsf:action="#{theBooks.processSeacrhByGenre}" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}">
                            <i class="glyphicon glyphicon-search"></i>
                        </button>
                    </div>
                </div>
            </h:form>
            
            <ul class="nav navbar-nav navbar-right">
                <!--The language change -->
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-haspopup="true" aria-expanded="false">#{localeBean.language} <span class="caret"></span></a>
                    <ul class="dropdown-menu">
                        <li><h:form class="text-center"><h:commandLink value=" EN" action="#{localeBean.setLanguage('en', 'CA')}"/></h:form></li>
                        <li><h:form class="text-center"><h:commandLink value=" FR" action="#{localeBean.setLanguage('fr', 'CA')}"/></h:form></li>
                    </ul>
                </li>
                
                <li><h:outputLink id="signupBtn" value="signup.xhtml" rendered="#{!user.logged}" ><span class="glyphicon glyphicon-user"> Sign-up</span></h:outputLink></li>
                <li><h:outputLink value="signout.xhtml" rendered="#{user.logged}" > <span class="glyphicon glyphicon-log-out"> Log-Out</span></h:outputLink></li>
                <li><h:outputLink id="loginBtn" value="signin.xhtml" rendered="#{!user.logged}"> <span class="glyphicon glyphicon-log-in"> Login</span></h:outputLink> </li>
                <!--<li><a href="signin.xhtml"><span class="glyphicon glyphicon-log-in"></span> Login</a></li>-->
                
                <li jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"><a href="/ga3w20/shoppingCart.xhtml"><span class="glyphicon glyphicon-shopping-cart" jsf:rendered="#{theReviews.rating eq '' or theReviews.rating eq null}"></span><h:outputText rendered="#{!shoppingCartBean.isEmpty()}" value=" #{shoppingCartBean.shoppingListLength}"/></a></li>
<!--                <li><a href="/ga3w20/shoppingCart.xhtml"><span class="glyphicon glyphicon-shopping-cart" jsf:rendered="#/{theReviews.rating eq '' or theReviews.rating eq null}"></span></a></li>-->
            </ul>
          </div>
        </div>
    </nav>
    
</ui:composition>
